Skip to main content
GET
Get vendor connections

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

retailer_pk
number
required

Retailer ID

Query Parameters

brand_id
number[]

Brand (vendor) IDs. Multiple comma separated values may be added

retailer_id
number[]

Retailer IDs. Multiple values may be separated by commas. Retailer ID

vertical_id
number[]

ID for verticals such as shoes, clothing, furniture. Multiple values may be added, separated by commas

integration_type
string[]

Integration types such as EDI, API, WooCommerce, etc. Multiple values may be separated by commas

brand_has_adjustments
number

1: Brand (vendor) has monetary adjustments
0: Brand doesn't have adjustments

brand_has_allowances
number

1: brand has allowances such as discounts
0: brand does not have allowances

brand_has_charges
number

1: brand has charges such as shipping and handling
0: brand does not have charges

brand_inventory_policy
string

Managed: brand wants to manage inventory; Unmanaged: brand does not want to manage inventory

retailer_identifier
number[]

Retailer IDs. Multiple values may be separated by commas.

options_enabled
string[]

Connection options enabled. Multiple values may be separated by commas.

options_disabled
string

Connection options disabled

status
string[]

Connection status. Multiple values may be separated by commas.

onboarding_target_date_lt
number

Onboarding target date is less than specified Time (Unix epoch format)

onboarding_target_date_lte
number

Onboarding target date is less than or equal to specified Time (Unix epoch format)

onboarding_target_date_gt
number

Onboarding target date is greater than specified Time (Unix epoch format)

onboarding_target_date_gte
number

Onboarding target date is greater than or equal to specified Time (Unix epoch format)

order_by
string

Sorting criteria

page
integer

Page number within the paginated result set

limit
integer

Number of records per page

Response

200 - application/json

OK

count
integer
required

Total number of records

Example:

1023

results
object[]
required
next
string<uri> | null

Next page (applicable in a paginated response)

Example:

"https://api.example.org/demo/accounts/?page=5"

previous
string<uri> | null

Previous page (applicable in a paginated response)

Example:

"https://api.example.org/demo/accounts/?page=3"